{ config, lib, pkgs, ... }:

with lib;
{
  services.matrix-synapse = {
    enable = false;
    configureRedisLocally = true;
    withJemalloc = true;
    settings = {
      enable_metrics = true;
      enable_registration = true;
      dynamic_thumbnails = true;
      max_upload_size = "100M";
      public_baseurl = "https://matrix.tfcconnection.org/";
      server_name = "tfcconnection.org";
    };
  };
}
